<?php

function fajlbol_betolt($fajlnev, $alap = array()) {
	$s = @file_get_contents($fajlnev);
	return ($s === false 
		? $alap 
		: json_decode($s, true));
}

function fajlba_ment($fajlnev, $adat) {
	$s = json_encode($adat);
	return file_put_contents($fajlnev, $s, LOCK_EX);
}

function film_beszur($cim, $rendezo, $ev) {
	$filmek = fajlbol_betolt('filmek.json');
	$filmek[] = array(
		'cim'		=>	$cim,
		'rendezo'	=>	$rendezo,
		'ev'		=>	$ev,
	);
	return fajlba_ment('filmek.json', $filmek);
}

//-----------------------------------------------------

$hibak = array();
$cim = '';
$rendezo = '';
$ev = '';

if ($_POST) {
	$cim = $_POST['cim'];
	$rendezo = $_POST['rendezo'];
	$ev = $_POST['ev'];

	if ($cim == '') {
		$hibak[] = 'Cím kötelező!';
	}
	if ($rendezo == '') {
		$hibak[] = 'Rendező kötelező!';
	}
	if (!is_numeric($ev) || strlen($ev) != 4) {
		$hibak[] = 'Rossz évszám!';
	}

	if (!$hibak) {
		if (film_beszur($cim, $rendezo, $ev)) {
			header('Location: lista_fajl.php');
		};
	}
}

//---------------------------------------------------------
?>
<!doctype html>
<html>
	<meta charset="utf-8">
	<head>
		<title></title>
	</head>
	<body>
		<h1>Új film</h1>
		<?php if ($hibak) : ?>
		<ul>
			<?php foreach ($hibak as $hiba) : ?>
			<li><?php echo $hiba; ?></li>
			<?php endforeach; ?>
		</ul>
		<?php endif; ?>
		<form action="" method="post">
			Cím: <br>
			<input type="text" name="cim" value="<?php echo $cim; ?>"> <br>
			Rendező: <br>
			<input type="text" name="rendezo" value="<?php echo $rendezo; ?>"> <br>
			Év: <br>
			<input type="text" name="ev" value="<?php echo $ev; ?>"> <br>
			<input type="submit">
		</form>
	</body>
</html>
